<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>In App Notification</strong></h3>
      </div>
      <div class="ibox-content">
        <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="notification(f);">
          <div class="form-group">
            <label class="col-sm-2 control-label">Select customers</label>
            <div class="col-sm-10 form-input">
              <input matInput placeholder="Customer Phone number" class="form-control"
                name="user_id" [(ngModel)]="customer_id" [formControl]="customerCtrl" [matAutocomplete]="Customerphone" required ngModel>
              <mat-autocomplete #Customerphone="matAutocomplete" [displayWith]="displayFnCustomerPhone">
                <mat-option *ngFor="let customer of customerData" [value]="customer">
                  {{ customer.phone_number }}
                </mat-option>
                <mat-option *ngIf="customerData!.length == 0">No Matches
                  Found</mat-option>
              </mat-autocomplete>
              <div class="error-msg" *ngIf="f.controls['user_id'] && f.controls['user_id'].invalid && (f.controls['user_id'].dirty || f.controls['user_id'].touched || f.submitted)">
                <div [hidden]="!f.controls['user_id'].errors.required">User is required.</div>
              </div>
            </div>
          </div>
          <div class="form-group"><label class="col-sm-2 control-label">URL<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="500" placeholder="www.example.com" name="text" pattern="[-a-zA-Z0-9@:%._\+~#=]{1,256}\.[a-zA-Z0-9()]{1,6}\b([-a-zA-Z0-9()@:%_\+.~#?&//=]*)?"
                 required ngModel>
              <div class="error-msg" *ngIf="f.controls['text'] && f.controls['text'].invalid && (f.controls['text'].dirty || f.controls['text'].touched || f.submitted)">
                <div [hidden]="!f.controls['text'].errors.required">URL is required.</div>
                <div [hidden]="!f.controls['text'].errors.pattern">URL pattern mismatch.</div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" [disabled]="!customer_id || f.invalid" type="submit">Save</button>
              <button class="btn btn-white" type="button">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>